### Function

# PangoCairo update_context

#### Declaration [src]

    void
    pango_cairo_update_context (
      cairo_t* cr,
      PangoContext* context
    )

#### Description [src]

Updates a `PangoContext` previously created for use with Cairo to match the current transformation and target surface of a Cairo context.

If any layouts have been created for the context, it’s necessary to call `pango_layout_context_changed()` on those layouts.

Available since: | 1.10

#### Parameters

`cr` | `cairo_t*`
| A Cairo context.
| The data is owned by the caller of the function.
`context` | `PangoContext*`
| A `PangoContext`, from a pangocairo font map.
| The data is owned by the caller of the function.